$tablet: 576px;
$smallscreen: 768px;
$notebook: 992px;
$desktop: 1280px;
$desktop-hd: 1440px;
$desktop-lg: 1920px;
$k2k: 2560px;
$max-inner-width: 1230px;

@mixin mobile-landscape {
    @media (max-height: $tablet) and (orientation: landscape) {
        @content;
    }
}

@mixin tablet {
    @media (min-width: $tablet) {
        @content;
    }
}

@mixin tablet-landscape {
    @media (min-width: $smallscreen) and (orientation: landscape) {
        @content;
    }
}

@mixin smallscreen {
    @media (min-width: $smallscreen) {
        @content;
    }
}

@mixin smallscreen-landscape {
    @media (max-height: $notebook) and (aspect-ratio >= 4 / 3) and (orientation: landscape) {
        @content;
    }
}

@mixin notebook {
    @media (min-width: $notebook) {
        @content;
    }
}

@mixin desktop {
    @media (min-width: $desktop) {
        @content;
    }
}

@mixin desktop-wide {
    @media (min-width: $desktop) and (aspect-ratio > 2.2 / 1) {
        @content;
    }
}

@mixin desktop-hd {
    @media (min-width: $desktop-hd) and (aspect-ratio <= 16 / 9.1) {
        @content;
    }
}

@mixin desktop-lg {
    @media (min-width: $desktop-lg) {
        @content;
    }
}

@mixin k2k {
    @media (min-width: $k2k) {
        @content;
    }
}
